{ lib, pkgs, ... }:
{
  nixpkgs.config.packageOverrides = pkgs: rec {
    spdev = import ./../pkgs { inherit pkgs; };
  };

  nixpkgs.overlays = [
    (self: super: {
      nginx = super.nginxMainline.override {
        withDebug = false;
        withStream = false;
        modules = [
          pkgs.nginxModules.rtmp
          pkgs.nginxModules.dav
          pkgs.nginxModules.moreheaders
          pkgs.nginxModules.modsecurity-nginx
        ];
      };
      hyperscan = super.hyperscan.overrideDerivation (oldAttr: {
        patches = [
          (super.fetchpatch {
            # part of https://github.com/intel/hyperscan/pull/336
            url = "https://github.com/intel/hyperscan/commit/e2c4010b1fc1272cab816ba543940b3586e68a0c.patch";
            sha256 = "sha256-doVNwROL6MTcgOW8jBwGTnxe0zvxjawiob/g6AvXLak=";
          })
        ];
      });

    })
  ];
}
